#
# Conditional build:
%bcond_without	python2 # CPython 2.x module
%bcond_without	python3 # CPython 3.x module

%define 	module	remoto
Summary:	Execute remote commands or processes
Name:		python-%{module}
Version:	0.0.25
Release:	7
License:	MIT
Group:		Libraries/Python
Source0:	https://pypi.python.org/packages/source/r/remoto/%{module}-%{version}.tar.gz
# Source0-md5:	94fa964c08d9c4619ef63201c58091e3
URL:		https://github.com/alfredodeza/remoto
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.710
%if %{with python2}
BuildRequires:	python-setuptools >= 7.0
%endif
%if %{with python3}
BuildRequires:	python3-modules
BuildRequires:	python3-setuptools >= 7.0
%endif
Requires:	python-execnet
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A very simplistic remote-command-executor using ssh and Python in the
remote end.

All the heavy lifting is done by execnet, while this minimal API
provides the bare minimum to handle easy logging and connections from
the remote end.

%package -n python3-%{module}
Summary:	Execute remote commands or processes
Group:		Libraries/Python
Requires:	python3-execnet

%description -n python3-%{module}
A very simplistic remote-command-executor using ssh and Python in the
remote end.

All the heavy lifting is done by execnet, while this minimal API
provides the bare minimum to handle easy logging and connections from
the remote end.

%prep
%setup -q -n %{module}-%{version}

%build
export REMOTO_NO_VENDOR=1
%if %{with python2}
%py_build
%endif

%if %{with python3}
%py3_build
%endif

%install
rm -rf $RPM_BUILD_ROOT

export REMOTO_NO_VENDOR=1
%if %{with python2}
%py_install
# no %%py_postclean !
# remoto needs the source code to run it on the target
%endif

%if %{with python3}
%py3_install
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%files
%defattr(644,root,root,755)
%doc README.rst
%{py_sitescriptdir}/%{module}
%if "%{py_ver}" > "2.4"
%{py_sitescriptdir}/%{module}-%{version}-py*.egg-info
%endif
%endif

%if %{with python3}
%files -n python3-%{module}
%defattr(644,root,root,755)
%doc README.rst
%{py3_sitescriptdir}/%{module}
%{py3_sitescriptdir}/%{module}-%{version}-py*.egg-info
%endif
%changelog
* Fri Feb 26 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-remoto.git;a=log;h=master

* Fri Feb 26 2021 Jan Rękorajski <baggins@pld-linux.org> fc439ab
- release 7 (by relup.sh)

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> 7d40d5a
- rebuild with python 3.8
- release 6 (by relup.sh)

* Tue Jul 03 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> e524e2d
- release 5 (by relup.sh)

* Thu Dec 29 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> b159121
- python 3.6
- release 4 (by relup.sh)

* Sun Nov 29 2015 Jacek Konieczny <jajcus@jajcus.net> b0330ac
- BR: rpmbuild(macros) >= 1.710

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> c7a8fa4
- release 3 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 7c91f9b
- automatic change: use py_build/py_install macros

* Mon Sep 14 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 0277989
- python3.5 rebuild
- release 2 (by relup.sh)

* Fri May 15 2015 Jacek Konieczny <j.konieczny@eggsoft.pl> c37f0d1
- Release: 1

* Wed May 13 2015 Jacek Konieczny <j.konieczny@eggsoft.pl> 261cf1f
- new package

